Bug 235948 - audio/gmusicbrowser: fails to launch with "Unescaped left brace in regex" (update to 1.1.15)
Summary: audio/gmusicbrowser: fails to launch with "Unescaped left brace in regex" (up...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-22 22:45 UTC by su-
Modified: 2019-02-27 12:58 UTC (History)
2 users (show)

See Also:
tobik: maintainer-feedback? (lichray)


Attachments
svn-diff-gmusicbrowser-1.1.15 (3.28 KB, patch)
2019-02-23 05:52 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-gmusicbrowser-1.1.15_v2 (3.52 KB, patch)
2019-02-23 06:12 UTC, Walter Schwarzenfeld
lichray: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description su- 2019-02-22 22:45:43 UTC
gmusicbrowser fails to launch with the following error

http://ix.io/1BNl
Comment 1 Walter Schwarzenfeld freebsd_triage 2019-02-23 05:52:02 UTC
Created attachment 202283 [details]
svn-diff-gmusicbrowser-1.1.15

Fix launch and update to 1.1.15.
CHANGELOG in ${WRKSRC}/NEWS.
Comment 2 Walter Schwarzenfeld freebsd_triage 2019-02-23 05:53:22 UTC
The "Unescaped left brace in regex" error does not appear in 1.1.15.
Comment 3 Walter Schwarzenfeld freebsd_triage 2019-02-23 05:57:46 UTC
Add gettext cause of portlint and enable GSTREAMER and DBUS per default, cause of start warnings and use of ogg and flac.
Comment 4 Tobias Kortkamp freebsd_committer 2019-02-23 06:01:27 UTC
Comment on attachment 202283 [details]
svn-diff-gmusicbrowser-1.1.15

> Add gettext cause of portlint 

Portlint is wrong for suggesting this here.  It's already covered by
the devel/p5-Locale-gettext dependency.  If you insist on adding USES=gettext,
add NLS_USES=gettext instead.
Comment 5 Walter Schwarzenfeld freebsd_triage 2019-02-23 06:09:20 UTC
Btw, update release is from 20-08-2015.
https://gmusicbrowser.org/download.html
Comment 6 Walter Schwarzenfeld freebsd_triage 2019-02-23 06:12:30 UTC
Created attachment 202284 [details]
svn-diff-gmusicbrowser-1.1.15_v2
Comment 7 commit-hook freebsd_committer 2019-02-27 12:58:19 UTC
A commit references this bug:

Author: tobik
Date: Wed Feb 27 12:57:18 UTC 2019
New revision: 494050
URL: https://svnweb.freebsd.org/changeset/ports/494050

Log:
  audio/gmusicbrowser: Update to 1.1.15

  - Enable more options by default

  PR:		235948
  Submitted by:	w.schwarzenfeld@utanet.at
  Approved by:	maintainer

Changes:
  head/audio/gmusicbrowser/Makefile
  head/audio/gmusicbrowser/distinfo
  head/audio/gmusicbrowser/files/
  head/audio/gmusicbrowser/files/patch-gmusicbrowser.pl
  head/audio/gmusicbrowser/files/patch-gmusicbrowser_list.pm
  head/audio/gmusicbrowser/pkg-plist